Package org.opengis.cite.iso19142

# Class ErrorMessageKeys

java.lang.Object
org.opengis.cite.iso19142.ErrorMessageKeys

public class ErrorMessageKeys extends Object
Defines keys used to access localized messages for assertion errors. The messages are stored in Properties files that are encoded in ISO-8859-1 (Latin-1). For some languages the `native2ascii` tool must be used to process the files and produce escaped Unicode characters.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CAPABILITY_NOT_TESTED`
  `static final String`
  `DATA_UNAVAILABLE`
  `static final String`
  `FEATURE_AVAILABILITY`
  `static final String`
  `FID_NOT_FOUND`
  `static final String`
  `LOCAL_NAME`
  `static final String`
  `MISSING_INFOSET_ITEM`
  `static final String`
  `MISSING_XML_ENTITY`
  `static final String`
  `NAMESPACE_NAME`
  `static final String`
  `NO_MEMBERS`
  `static final String`
  `NOT_IMPLEMENTED`
  `static final String`
  `NOT_SCHEMA_VALID`
  `static final String`
  `NUM_MATCHED`
  `static final String`
  `NUM_RETURNED`
  `static final String`
  `PREDICATE_NOT_SATISFIED`
  `static final String`
  `QRY_LANG_NOT_SUPPORTED`
  `static final String`
  `TM_EXTENT_LEN`
  `static final String`
  `UNEXPECTED_ID`
  `static final String`
  `UNEXPECTED_STATUS`
  `static final String`
  `UNEXPECTED_VALUE`
  `static final String`
  `VERSION_STATE`
  `static final String`
  `XML_ERROR`
  `static final String`
  `XPATH_ERROR`
  `static final String`
  `XPATH_RESULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorMessageKeys()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NOT_SCHEMA_VALID

    public static final String NOT_SCHEMA_VALID
    See Also:
      - Constant Field Values

  - ### UNEXPECTED_STATUS

    public static final String UNEXPECTED_STATUS
    See Also:
      - Constant Field Values

  - ### MISSING_XML_ENTITY

    public static final String MISSING_XML_ENTITY
    See Also:
      - Constant Field Values

  - ### MISSING_INFOSET_ITEM

    public static final String MISSING_INFOSET_ITEM
    See Also:
      - Constant Field Values

  - ### XML_ERROR

    public static final String XML_ERROR
    See Also:
      - Constant Field Values

  - ### XPATH_ERROR

    public static final String XPATH_ERROR
    See Also:
      - Constant Field Values

  - ### XPATH_RESULT

    public static final String XPATH_RESULT
    See Also:
      - Constant Field Values

  - ### NAMESPACE_NAME

    public static final String NAMESPACE_NAME
    See Also:
      - Constant Field Values

  - ### LOCAL_NAME

    public static final String LOCAL_NAME
    See Also:
      - Constant Field Values

  - ### NO_MEMBERS

    public static final String NO_MEMBERS
    See Also:
      - Constant Field Values

  - ### FEATURE_AVAILABILITY

    public static final String FEATURE_AVAILABILITY
    See Also:
      - Constant Field Values

  - ### PREDICATE_NOT_SATISFIED

    public static final String PREDICATE_NOT_SATISFIED
    See Also:
      - Constant Field Values

  - ### DATA_UNAVAILABLE

    public static final String DATA_UNAVAILABLE
    See Also:
      - Constant Field Values

  - ### UNEXPECTED_ID

    public static final String UNEXPECTED_ID
    See Also:
      - Constant Field Values

  - ### FID_NOT_FOUND

    public static final String FID_NOT_FOUND
    See Also:
      - Constant Field Values

  - ### CAPABILITY_NOT_TESTED

    public static final String CAPABILITY_NOT_TESTED
    See Also:
      - Constant Field Values

  - ### NOT_IMPLEMENTED

    public static final String NOT_IMPLEMENTED
    See Also:
      - Constant Field Values

  - ### QRY_LANG_NOT_SUPPORTED

    public static final String QRY_LANG_NOT_SUPPORTED
    See Also:
      - Constant Field Values

  - ### NUM_RETURNED

    public static final String NUM_RETURNED
    See Also:
      - Constant Field Values

  - ### NUM_MATCHED

    public static final String NUM_MATCHED
    See Also:
      - Constant Field Values

  - ### VERSION_STATE

    public static final String VERSION_STATE
    See Also:
      - Constant Field Values

  - ### UNEXPECTED_VALUE

    public static final String UNEXPECTED_VALUE
    See Also:
      - Constant Field Values

  - ### TM_EXTENT_LEN

    public static final String TM_EXTENT_LEN
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ErrorMessageKeys

    public ErrorMessageKeys()